package com.data.emqx.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author licd
 * @className LoadCarDataSoure
 * @description
 * @date 2025/02/17 08:51
 */
@Data
public class LoadCarDataSoure implements Serializable {


    //主键
    private String id;
    //设备ID号
    private String deviceId;

    private String cardID;
    //设备状态
    private String deviceStatus;
    //当前数据上传时间
    private String sendTime;
    //读取到的RFID数量
    private int rfidNum;
    //RFID号
    private String rfidNo;
    //rfid读取到的时间
    private String rfidTime;
    //称重
    private Double weight;
    //称重数值状态，1：表示有发生变化，0：表示没有发生变化，99：表示称重数据异常
    private int weightStatus;
    //称重读取到的时间

    private String weightTime;
    //是否已处理：1： 已处理
    private int flag;

    private String tag;
    //关联的emqx_load_car表的ID
    private String loadCarId;
    //创建时间
    @JsonFormat(locale = "zh",timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    //更新时间
    @JsonFormat(locale = "zh",timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }


    public int getRfidNum() {
        return rfidNum;
    }

    public void setRfidNum(int rfidNum) {
        this.rfidNum = rfidNum;
    }

    public String getRfidNo() {
        return rfidNo;
    }

    public void setRfidNo(String rfidNo) {
        this.rfidNo = rfidNo;
    }


    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public int getWeightStatus() {
        return weightStatus;
    }

    public void setWeightStatus(int weightStatus) {
        this.weightStatus = weightStatus;
    }


    public int getFlag() {
        return flag;
    }

    public void setFlag(int flag) {
        this.flag = flag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getRfidTime() {
        return rfidTime;
    }

    public void setRfidTime(String rfidTime) {
        this.rfidTime = rfidTime;
    }

    public String getWeightTime() {
        return weightTime;
    }

    public void setWeightTime(String weightTime) {
        this.weightTime = weightTime;
    }

    public String getCardID() {
        return cardID;
    }

    public void setCardID(String cardID) {
        this.cardID = cardID;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getLoadCarId() {
        return loadCarId;
    }

    public void setLoadCarId(String loadCarId) {
        this.loadCarId = loadCarId;
    }
}
